hadoop-hdfs-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Elek, Marton (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (HDDS-691) Dependency convergence error for org.apache.hadoop:hadoop-annotations
Date Thu, 18 Oct 2018 12:58:00 GMT

    [ https://issues.apache.org/jira/browse/HDDS-691?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16655196#comment-16655196
] 

Elek, Marton commented on HDDS-691:
-----------------------------------

Thanks [~szetszwo] the patch. I saw this problem in the yetus builds.

Can you please help me to understand the problem and how does this fix work? For me the compile
scope seems to be the right scope. We definitely need to have the hadoop jar files for both
compilation and both runtime. For all the standalone ozone components it's a compile scope
because hadoop jar files are not provided.  

Also the distribution script copies only the runtime/compile scoped dependencies to share/lib/ozone

> Dependency convergence error for org.apache.hadoop:hadoop-annotations
> ---------------------------------------------------------------------
>
>                 Key: HDDS-691
>                 URL: https://issues.apache.org/jira/browse/HDDS-691
>             Project: Hadoop Distributed Data Store
>          Issue Type: Bug
>            Reporter: Tsz Wo Nicholas Sze
>            Assignee: Tsz Wo Nicholas Sze
>            Priority: Major
>         Attachments: HDDS-691_20181018.patch
>
>
> {code}
> [WARNING] 
> Dependency convergence error for org.apache.hadoop:hadoop-annotations:3.3.0-SNAPSHOT
paths to dependency are:
> +-org.apache.hadoop:hadoop-hdds-common:0.4.0-SNAPSHOT
>   +-org.apache.hadoop:hadoop-common:3.3.0-20181017.235917-140
>     +-org.apache.hadoop:hadoop-annotations:3.3.0-SNAPSHOT
> and
> +-org.apache.hadoop:hadoop-hdds-common:0.4.0-SNAPSHOT
>   +-org.apache.hadoop:hadoop-common:3.3.0-20181017.235917-140
>     +-org.apache.hadoop:hadoop-annotations:3.3.0-SNAPSHOT
> and
> +-org.apache.hadoop:hadoop-hdds-common:0.4.0-SNAPSHOT
>   +-org.apache.hadoop:hadoop-annotations:3.3.0-20181017.235840-140
> [WARNING] Rule 0: org.apache.maven.plugins.enforcer.DependencyConvergence failed with
message:
> {code}



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

---------------------------------------------------------------------
To unsubscribe, e-mail: hdfs-issues-unsubscribe@hadoop.apache.org
For additional commands, e-mail: hdfs-issues-help@hadoop.apache.org


Mime
View raw message